Subject: Re: [apps-discuss] Comments on draft-ietf-appsawg-email-auth-codes-01

From: Ned Freed <[email-masked]>
Date: Sun, 01 Jun 2014 06:51:12 -0700 (PDT)

> On Sat, May 31, 2014 at 10:05 AM, Alexey Melnikov <[email-masked]
> > wrote:

...

> > Other comments:
> >
> > Description of DKIM codes: do they cover lack of any DKIM signature or
> > only cases when DKIM signatures are present, but don't verify or cover
> > wrong domains?
> >

> The DKIM specification says that an unsigned message is to be treated no
> differently than one with a signature that failed to verify.  I also don't
> know of any receivers that only care that there was a valid signature
> regardless of the domain that added it, so that doesn't seem to be a use
> case we need to worry about.

I agree with this analysis, however, it may be worth adding a bit of
text referring to where the DKIM specification says this.

...

> > I am not convinced about the "multiple failures" status code, but then it
> > provides more information than X.7.0, so it is probably Ok.
> >

> The reason that was suggested (by Barry, I believe) is that a message might
> be rejected for multiple authentication failures, yet you can only return a
> single code.  However, let's say you always expect SPF to fail, but DKIM
> should always pass.  Reporting an SPF failure is useless there; providing
> the less specific response in that case is actually more useful.

And more generally, I think we've previously set the bar for registering codes
far too high. (We have a marked tendency to do this for registries in general.)
Even if this code were to prove not to be useful, it's meaning is clear and
integers are cheap.

				Ned

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 2 Jun 2014 10:40:13 -0700

> text referring to where the DKIM specification says this.

Paragraph 2 of Section 3 already contains that reference.  Do we need to
say more than that?

-MSK

---

From: Ned Freed <[email-masked]>
Date: Tue, 03 Jun 2014 22:31:05 -0700 (PDT)

> Paragraph 2 of Section 3 already contains that reference.  Do we need to

It's a reference in a somewhat different context. But given that it's the
same reference, I guess that's good enough.

				Ned